using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Text;

// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

namespace EonaCat.Logger.EonaCatCoreLogger
{
    public class JsonFileLoggerProvider : ILoggerProvider
    {
        private readonly JsonFileLoggerOptions _options;

        public JsonFileLoggerProvider(JsonFileLoggerOptions options = null)
        {
            if (options == null)
            {
                options = new JsonFileLoggerOptions();
            }
            _options = options;
        }

        public ILogger CreateLogger(string categoryName)
        {
            return new JsonFileLogger(categoryName, _options);
        }

        public void Dispose()
        {
            
        }
    }

}
